<!DOCTYPE html>
</html>
<head>
    <meta charset="utf-8">
</head>
<body>
<h3>彩铅模型融合调参</h3>
<div id="login">
     <div>
        <input id="btnModel0" type="button" value="模型一" onclick="changeView(0)"  /> 
       
    </div>
    <div>
        <input id="btnSend" type="button" value="生成" onclick="send()" />
    </div>
    
    <div>
        <img id="ItemPreview1" src="">
        <img id="ItemPreview2" src="">
    </div>
   
    <div id="adjust">
    层级选择
    <div id="layer_choice" >
    <input type="radio" id="4" name="layer" value="4" onclick="num_send()"  >
    <label for="layer">4</label><br>
    <input type="radio" id="8" name="layer" value="8" onclick="num_send()" >
    <label for="layer">8</label><br>
    <input type="radio" id="16" name="layer" value="16" checked="checked" onclick="num_send()" >
    <label for="layer">16</label><br>
    <input type="radio" id="32" name="layer" value="32" onclick="num_send()" >
    <label for="layer">32</label><br>
    <input type="radio" id="64" name="layer" value="64" onclick="num_send()" >
    <label for="layer">64</label><br>
    <input type="radio" id="128" name="layer" value="128" onclick="num_send()" >
    <label for="layer">128</label><br>
    <input type="radio" id="256" name="layer" value="256"onclick="num_send()" >
    <label for="layer">256</label><br>
    <input type="radio" id="512" name="layer" value="512"onclick="num_send()" >
    <label for="layer">512</label><br>
    </div>
    <div>
        <input id="slider1" type="range" min="0.01" max="1" step="0.01" onclick="num_send()" disabled=true/> 融合程度
        <span id="slider_value">51%</span>
		
    </div>
   
    </div>
    <div>
        <div>
            来自服务端的消息
        </div>
        <textarea id="txtContent" cols="50" rows="10" readonly="readonly"></textarea>
    </div>
</div>
</body>
<script>
    function sleep(ms) {
            return new Promise(resolve => setTimeout(resolve, ms));
        }

    var socket;
    var current=0;
    var total;
    var beforetime;
    var img;
    var latent;
    var model=0; //
    var inital = 1;

    function slider_change() {
  				var value = document.getElementById("slider1").value ;
  				document.getElementById("slider_value").innerHTML = value*100;
  				document.getElementById("slider_value").innerHTML += "%";
	}
	
    function get_layer_value(){
        var layer_value;
       if (document.getElementById("4").checked) {
          layer_value = document.getElementById("4").value;
        }
       else  if (document.getElementById("8").checked) {
          layer_value = document.getElementById("8").value;
        }
        else if (document.getElementById("16").checked) {
          layer_value = document.getElementById("16").value;
        }
        else if (document.getElementById("32").checked) {
          layer_value = document.getElementById("32").value;
        }
        else if (document.getElementById("64").checked) {
          layer_value = document.getElementById("64").value;
        }
        else if (document.getElementById("128").checked) {
          layer_value = document.getElementById("128").value;
        }
        else if (document.getElementById("256").checked) {
          layer_value = document.getElementById("256").value;
        }
        else if (document.getElementById("512").checked) {
          layer_value = document.getElementById("512").value;
        }
        
        return layer_value;
    
    }
    
     async function changeView(model_num){
        if(model_num==0){
            document.getElementById("btnModel0").disabled = true;
     
        }
        else {
           document.getElementById("btnModel0").disabled = false;
        
        }
        
        model = model_num;
        if(inital==0)
            num_send();
    }
    
    async function send() {
        var xhr = new XMLHttpRequest();
        inital = 0;
        
        xhr.open("POST", "http://10.224.28.125:7878", true);
      
        xhr.onload = function (oEvent) {
            console.log("success")
          //  console.warn(xhr.responseText);
            var jsonResponse = JSON.parse(xhr.responseText);
            document.getElementById("ItemPreview1").src = "data:image/jpg;base64," + jsonResponse.img;
            document.getElementById("ItemPreview2").src = "data:image/jpg;base64," + jsonResponse.img2;
          
            latent = jsonResponse.latent
           
            document.getElementById("slider1").disabled = false;
           
        };
        var layer_value = get_layer_value();
      
        var str = { "ops":"Generate",
                    "slider1":document.getElementById("slider1").value,
                    "layer":parseFloat(layer_value),}
       // $("txtContent").value += JSON.stringify(str);
      xhr.send(JSON.stringify(str));
    }
    
     async function num_send() {
        slider_change();
        var xhr = new XMLHttpRequest();
        
        xhr.open("POST", "http://10.224.28.125:7878", true);
       
       
        xhr.onload = function (oEvent) {
            console.log("success")
            var jsonResponse = JSON.parse(xhr.responseText);
            document.getElementById("ItemPreview2").src = "data:image/jpg;base64," + jsonResponse.img;
        };
        
         var layer_value = get_layer_value();
       // $("txtContent").value += "123";
       // var latent_array = new Float32Array(Object.values(latent)[0]); 
        var str2 = { "ops":"Adjust",
                    "latent": latent,
                    "slider1":document.getElementById("slider1").value,
                    "layer":layer_value,};
      
      $("txtContent").value += document.getElementById("slider1").value;
       // $("txtContent").value += JSON.stringify(str2);
        xhr.send(JSON.stringify(str2));
        
    }
    

    function $(id) { return document.getElementById(id); }
    
</script>
</html>